Subject: Re: HSO driver patch [1/2]

From: Greg KH <[email-masked]>
Date: Fri, 7 Oct 2016 16:38:21 +0200

On Fri, Oct 07, 2016 at 04:29:42PM +0200, Matej Kupljen wrote:
> Hi,
> 
> 
> I am using hso driver for my 3G modem (although different manufacturer
> with different USB VID/PID) but I have some problems with it. It is
> working fine, but if you disconnect the USB connection while the data
> is transferring trough AT interface, we get a crash.
> 
> There are two patches:
>  1.) 0001-Reverse-the-order-in-disconnect.patch
>       This patch first sets the interface to NULL and only then starts
> removing the allocated
>       resources. This is according to documentation and it is also
> more similar to other drivers.
>  2.) 0002-Stop-also-serial-queue-when-device-is-unplugged.patch
>       Serial device was not stopped when the device got unplugged so
> there are continues error
>       messages that the URB cannot be submitted.

Again, patches can not be attached, they just need to be inline, with
the needed information.

Look at the patches on the mailing lists for plenty of examples of how
to do this.

thanks,

greg k-h
--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html